Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
summary = client.confidence_scoring.get_agent_session_scoring_summary(
agent_name="support-agent",
session_id="session_9f8a2b7c",
)
print(f"aggregate_score={summary.aggregate_score} status={summary.status}")
for turn in summary.turns or []:
print(f"turn={turn.turn} score={turn.aggregate_score} status={turn.status}")import { MeibelClient } from "meibel";
const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const summary = await client.confidenceScoring.getAgentSessionScoringSummary(
"support-agent",
"session_9f8a3b2c1d",
);
console.log(`Aggregate score: ${summary.aggregate_score}`);
console.log(`Status: ${summary.status}`);package main
import (
"context"
"fmt"
"os"
v2 "github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
summary, err := client.ConfidenceScoring.GetAgentSessionScoringSummary(
context.Background(),
"support-triage-agent",
"sess_9f3a2b1c7d",
)
if err != nil {
panic(err)
}
fmt.Printf("Aggregate score: %v (status: %v)\n", summary.AggregateScore, summary.Status)
for _, turn := range summary.Turns {
fmt.Printf("Turn %v: score=%v\n", turn.Turn, turn.AggregateScore)
}
}curl --request GET \
--url https://api.meibel.ai/v2/confidence-scoring/summary/agent/{agent_name}/session/{session_id} \
--header 'Meibel-API-Key: <api-key>'const options = {method: 'GET', headers: {'Meibel-API-Key': '<api-key>'}};
fetch('https://api.meibel.ai/v2/confidence-scoring/summary/agent/{agent_name}/session/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"aggregate_score": 123,
"module_scores": {},
"n_jobs_per_module": {},
"job_ids": [
"<string>"
],
"turns": [
{
"turn": 123,
"status": "<string>",
"aggregate_score": 123,
"module_scores": {},
"n_jobs_per_module": {},
"job_ids": [
"<string>"
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Confidence scoring
Get agent session scoring summary
Get an aggregated summary of confidence scores for a specific agent session.
GET
/
confidence-scoring
/
summary
/
agent
/
{agent_name}
/
session
/
{session_id}
Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
summary = client.confidence_scoring.get_agent_session_scoring_summary(
agent_name="support-agent",
session_id="session_9f8a2b7c",
)
print(f"aggregate_score={summary.aggregate_score} status={summary.status}")
for turn in summary.turns or []:
print(f"turn={turn.turn} score={turn.aggregate_score} status={turn.status}")import { MeibelClient } from "meibel";
const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const summary = await client.confidenceScoring.getAgentSessionScoringSummary(
"support-agent",
"session_9f8a3b2c1d",
);
console.log(`Aggregate score: ${summary.aggregate_score}`);
console.log(`Status: ${summary.status}`);package main
import (
"context"
"fmt"
"os"
v2 "github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
summary, err := client.ConfidenceScoring.GetAgentSessionScoringSummary(
context.Background(),
"support-triage-agent",
"sess_9f3a2b1c7d",
)
if err != nil {
panic(err)
}
fmt.Printf("Aggregate score: %v (status: %v)\n", summary.AggregateScore, summary.Status)
for _, turn := range summary.Turns {
fmt.Printf("Turn %v: score=%v\n", turn.Turn, turn.AggregateScore)
}
}Authorizations
Path Parameters
Name of the agent.
Agent session ID.
Response
Successful Response
Aggregated summary of scoring jobs matching identity context filters.
Overall status across the matched scoring jobs. Null if no jobs matched the filters.
Average score across all completed jobs matching the filters.
Average score per scoring module, keyed by module name.
Show child attributes
Show child attributes
Number of completed scoring jobs per module.
Show child attributes
Show child attributes
Job IDs matching the filters.
Per-turn score breakdowns, ordered by turn number ascending with null-turn last.
Show child attributes
Show child attributes
Was this page helpful?
⌘I